package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.RoadshowRequirement;
import com.lightinit.hsdataportal.entity.RoadshowRequirementWithBLOBs;
import com.lightinit.hsdataportal.entity.RoadshowWithBLOBs;
import com.lightinit.hsdataportal.model.ResultState;
import com.lightinit.hsdataportal.model.RoadShowSearchModel;
import com.lightinit.hsdataportal.model.RoadshowAddModel;

import java.util.List;

public interface IBusinessIncubationService {
    List<RoadshowWithBLOBs> getList(RoadShowSearchModel roadShowSearchModel);

    long getCount(RoadShowSearchModel roadShowSearchModel);

    ResultState toAdd(RoadshowAddModel roadshowAddModel);

    RoadshowWithBLOBs view(Long id);

    ResultState toLxwm(RoadshowRequirementWithBLOBs roadshowRequirement);
}
